OGRE: Ogre::PixelFormatDescription Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::PixelFormatDescription Struct Reference

A record that describes a pixel format in detail. More...

`#include <OgrePixelFormatDescriptions.h>`

## Public Attributes
unsigned char | abits
uint64 | amask
unsigned char | ashift
unsigned char | bbits
uint64 | bmask
unsigned char | bshift
unsigned char | componentCount
| Component count. More...
PixelComponentType | componentType
| Component type. More...
unsigned char | elemBytes
uint32 | flags
unsigned char | gbits
uint64 | gmask
unsigned char | gshift
const char * | name
unsigned char | rbits
uint64 | rmask
unsigned char | rshift

## Detailed Description

A record that describes a pixel format in detail.

## Member Data Documentation

## ◆ abits

unsigned char Ogre::PixelFormatDescription::abits

## ◆ amask

uint64 Ogre::PixelFormatDescription::amask

## ◆ ashift

unsigned char Ogre::PixelFormatDescription::ashift

## ◆ bbits

unsigned char Ogre::PixelFormatDescription::bbits

## ◆ bmask

uint64 Ogre::PixelFormatDescription::bmask

## ◆ bshift

unsigned char Ogre::PixelFormatDescription::bshift

## ◆ componentCount

unsigned char Ogre::PixelFormatDescription::componentCount

Component count.

## ◆ componentType

PixelComponentType Ogre::PixelFormatDescription::componentType

Component type.

## ◆ elemBytes

unsigned char Ogre::PixelFormatDescription::elemBytes

## ◆ flags

uint32 Ogre::PixelFormatDescription::flags

## ◆ gbits

unsigned char Ogre::PixelFormatDescription::gbits

## ◆ gmask

uint64 Ogre::PixelFormatDescription::gmask

## ◆ gshift

unsigned char Ogre::PixelFormatDescription::gshift

## ◆ name

const char* Ogre::PixelFormatDescription::name

## ◆ rbits

unsigned char Ogre::PixelFormatDescription::rbits

## ◆ rmask

uint64 Ogre::PixelFormatDescription::rmask

## ◆ rshift

unsigned char Ogre::PixelFormatDescription::rshift

The documentation for this struct was generated from the following file:

- OgrePixelFormatDescriptions.h